tt_session_quit(library call)

NAME
tt_session_quit — quit the session

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_session_quit(
const char *sessid);

DESCRIPTION

The tt_session_quit function informs the ToolTalk service that the process is no longer interested in this ToolTalk session. The ToolTalk service stops delivering messages scoped to this session.

The sessid argument is the name of the session to quit.

RETURN VALUE

Upon successful completion, the tt_session_quit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).